## osso-gnupg 1.4.2-7

=== debian/changelog ===
osso-gnupg (1.4.2-7) unstable; urgency=low

  * Added zlib1g-dev to Build-Depends to disambiguate the virtual zlib-dev
    dependency.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 16 Mar 2006 10:53:05 +0200

osso-gnupg (1.4.2-6) unstable; urgency=low

  * New release to work around subversion tagging mistakes in the last
    version.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 15 Feb 2006 17:09:08 +0200

osso-gnupg (1.4.2-5) unstable; urgency=low

  * SHA1 is back.  Can't live without it.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 31 Jan 2006 21:11:01 +0200

osso-gnupg (1.4.2-4) unstable; urgency=low

  * Build-depend on libglib2.0-dev.  We need it for glib-gettextize.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 25 Jan 2006 20:25:53 +0200

osso-gnupg (1.4.2-3) unstable; urgency=low

  * Added --disable-mailto to configure options.  Don't Build-depend on
    mail-transport-agent.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 23 Jan 2006 15:13:27 +0200

osso-gnupg (1.4.2-2) unstable; urgency=low

  * Removed some source files.  Disabled ElGamal, SHA1, SHA256, SHA384,
    and SHA512 algorithms.  Don't depend on makedev, etc.  Don't suggest
    xloadimage.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 11 Jan 2006 20:21:20 +0200

osso-gnupg (1.4.2-1) unstable; urgency=low

  * Changed package name to osso-gnupg.  Do no longer build gpgv udeb.
    Configure with --enable-minimal and without --with-included-gettext.
    Conflict with gnupg.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon,  2 Jan 2006 13:33:10 +0200

gnupg (1.4.2-2osso1) unstable; urgency=low

  * Forked for osso.  Configure without readline, libusb, ldap, or
    libcurl.  Don't install documentation and translations.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 16 Nov 2005 22:52:51 +0200

gnupg (1.4.2-2) unstable; urgency=low

  * 22_zero_length_mpi_fix.dpatch: new patch; pull in upstream patch to
    fix bug in reading a zero-length MPI.  Closes: #330686

 -- James Troup <james@nocrew.org>  Sun,  2 Oct 2005 02:39:51 +0100

gnupg (1.4.2-1) unstable; urgency=low

  * New upstream release.
   * Fixes extra ) on expired keys.  Closes: #329402

  * debian/control (Standards-Version): updated to 3.6.2.1.

  * debian/rules (binary-arch): drop 'gnupg/' from libexecdir passed to
    make install.

 -- James Troup <james@nocrew.org>  Sat, 24 Sep 2005 03:31:37 +0100

gnupg (1.4.1-1) unstable; urgency=low

  * New upstream release.  Closes: #307203
   * Fixes mis-selection of encryption key.  Closes: #299814
   * Countermeasures against the Mister/Zuccherato CFB attack.  
     Closes: #300859
  * 18_ca_po_update.dpatch, 21_strgutil_update.dpatch: dropped - merged
    upstream.
  * debian/rules (build-deb-stamp): don't forcefully regenerate po/ca.gmo.
    (clean): likewise, don't remove po/ca.gmo.

 -- James Troup <james@nocrew.org>  Mon,  9 May 2005 23:41:50 +0100

gnupg (1.4.0-3) unstable; urgency=low

  * debian/rules (binary-arch): move Russian manpage to correct (FHS)
    location.  Thanks to Uwe Zeisberger
    <zeisberg@informatik.uni-freiburg.de> for the report.  Closes: #294196

 -- James Troup <james@nocrew.org>  Sun, 20 Feb 2005 22:55:11 +0000

gnupg (1.4.0-2) unstable; urgency=low

  * 18_ca_po_update.dpatch: re-added, updated for new upstream release.
    Thanks to Jordi Mallach <jordi@debian.org>.
  * debian/rules (build-deb): force regeneration of ca.gmo.

  * 21_strgutil_update.dpatch: new patch; pull in strgutil.c fixes from
    1.4.1rc1 to fix warnings about 'Invalid or incomplete multibyte or
    wide character' with (at least) Latin-1 encoded UIDs.

  * debian/copyright: update year and version number.

  * debian/rules: apply patch to enable cross-build from NIIBE Yutaka
    <gniibe@fsij.org>. Closes: #285293

  * debian/rules: s/DEB_HOST_ARCH/DEB_BUILD_ARCH/ as the gpgv-udeb should
    use the build architecture not host.
  * debian/rules (build-udeb): pass $(CONFARGS) to configure here too.
  
 -- James Troup <james@nocrew.org>  Sat,  5 Feb 2005 03:03:06 +0000

gnupg (1.4.0-1) unstable; urgency=low

  * New upstream release.  Closes: #286058
  
  * debian/control (Build-Depends): add libusb-dev and libreadline5-dev.
  * debian/rules (binary): install doc/highlights-1.4.txt to
    /usr/share/doc/gnupg/ too.

  * 17_ipv6_support.dpatch: removed; a different patch has been applied
    upstream.
  * 19_throw_keyid_compat.dpatch, 20_update_pgp8.dpatch: dropped; merged
    upstream.

  * 16_min_privileges.dpatch: adjusted for new upstream release with
    wiggle(1).

  * 18_ca_po_update.dpatch: dropped temporarily as it no longer applies.

  * Apply patch from Colin Watson to add gpgv-udeb package.  Closes: #287106
  * debian/rules (build-udeb): also pass --without-readline to configure.

 -- James Troup <james@nocrew.org>  Thu,  3 Feb 2005 23:52:49 +0000

gnupg (1.2.5-3.1) UNOFFICIAL; urgency=low

  * debian/control, debian/rules: Build gpgv-udeb, containing just
    /usr/bin/gpgv built without bzip2 support and with -Os, for use in
    debian-installer.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Dec 2004 13:42:23 +0000

gnupg (1.2.5-3) unstable; urgency=low

  * debian/rules (build): drop --with-capabilites for now.
  * debian/rules (clean): don't remove fi.gmo now that we're no longer
    patching it.
  * Merge patch from Peter Palfrader <weasel@debian.org> to fix building
    without capabilities and idempotency of build process after
    18_ca_po_update.dpatch.  Closes: #262723

 -- James Troup <james@nocrew.org>  Mon,  2 Aug 2004 00:51:21 +0100

gnupg (1.2.5-2.1) unstable; urgency=low

  * Fix patches/15_free_caps to also build without capabilities.
  * Remove po/ca.gmo in clean target.

 -- Peter Palfrader <weasel@debian.org>  Sun,  1 Aug 2004 20:13:31 +0200

gnupg (1.2.5-2) unstable; urgency=low

  * 18_ca_po_update.dpatch: new patch from Jordi Mallach
    <jordi@debian.org> to fix ca.po encoding.  Closes: #237070


